org.apache.solr.response

## Class BasicResultContext

- java.lang.Object
- - org.apache.solr.response.ResultContext
  - - org.apache.solr.response.BasicResultContext

-     public class BasicResultContext
      extends ResultContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicResultContext(DocList docList, ReturnFields returnFields, SolrIndexSearcher searcher, Query query, SolrQueryRequest req)`
    `BasicResultContext(ResponseBuilder rb)`
    `BasicResultContext(ResponseBuilder rb, DocList docList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocList` | `getDocList()`
    `Query` | `getQuery()`
    `SolrQueryRequest` | `getRequest()` Note: do not use the request to get the searcher! A cross-core request may have a different searcher (for the other core) than the original request.
    `ReturnFields` | `getReturnFields()`
    `SolrIndexSearcher` | `getSearcher()`

    - ### Methods inherited from class org.apache.solr.response.ResultContext

      `getProcessedDocuments, wantsScores`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicResultContext

          public BasicResultContext(DocList docList,
                                    ReturnFields returnFields,
                                    SolrIndexSearcher searcher,
                                    Query query,
                                    SolrQueryRequest req)

    - #### BasicResultContext

          public BasicResultContext(ResponseBuilder rb)

    - #### BasicResultContext

          public BasicResultContext(ResponseBuilder rb,
                                    DocList docList)

  - ### Method Detail

    - #### getDocList

          public DocList getDocList()

      Specified by:
        `getDocList` in class `ResultContext`

    - #### getReturnFields

          public ReturnFields getReturnFields()

      Specified by:
        `getReturnFields` in class `ResultContext`

    - #### getSearcher

          public SolrIndexSearcher getSearcher()

      Specified by:
        `getSearcher` in class `ResultContext`

    - #### getQuery

          public Query getQuery()

      Specified by:
        `getQuery` in class `ResultContext`

    - #### getRequest

          public SolrQueryRequest getRequest()

      Description copied from class: `ResultContext`
      Note: do not use the request to get the searcher! A cross-core request may have a different searcher (for the other core) than the original request.
      Specified by:
        `getRequest` in class `ResultContext`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.